# Uses of Interface
org.eclipse.ecf.filetransfer.identity.IFileID

Packages that use IFileID
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.filetransfer.identity
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.identity
org.eclipse.ecf.provider.filetransfer.outgoing
org.eclipse.ecf.provider.filetransfer.retrieve

## Uses of IFileID in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return IFileID
Modifier and Type
Method
Description
`IFileID`
IRemoteFileSystemRequest.`getFileID()`
Get directoryID that represents the directory accessed.
`IFileID`
IRemoteFile.`getID()`
Get the remote file id associated with this file.
Methods in org.eclipse.ecf.filetransfer with parameters of type IFileID
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
IRemoteFileSystemBrowserContainerAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Send a request for file or directory information for given directoryOrFileID.
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, File localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.

## Uses of IFileID in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events that return IFileID
Modifier and Type
Method
Description
`IFileID`
IFileTransferConnectStartEvent.`getFileID()`
`IFileID`
IIncomingFileTransferReceiveResumedEvent.`getFileID()`
Get IFileID for incoming file
`IFileID`
IIncomingFileTransferReceiveStartEvent.`getFileID()`
Get IFileID for incoming file
`IFileID`
IRemoteFileSystemEvent.`getFileID()`

## Uses of IFileID in org.eclipse.ecf.filetransfer.identity

Methods in org.eclipse.ecf.filetransfer.identity that return IFileID
Modifier and Type
Method
Description
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, Object[] arguments)`
Create an IFileID from a Namespace and a String.
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, String remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, URI remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, URL remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, Object[] arguments)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, String remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, URI remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, URL remoteFile)`
Create an IFileID from a Namespace and a String.

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.browse

Fields in org.eclipse.ecf.provider.filetransfer.browse declared as IFileID
Modifier and Type
Field
Description
`protected IFileID`
AbstractFileSystemBrowser.`fileID`
Methods in org.eclipse.ecf.provider.filetransfer.browse that return IFileID
Modifier and Type
Method
Description
`IFileID`
AbstractFileSystemBrowser.RemoteFileSystemRequest.`getFileID()`
`IFileID`
LocalRemoteFile.`getID()`
`IFileID`
URLRemoteFile.`getID()`
Methods in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IFileID
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
MultiProtocolFileSystemBrowserAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Constructors in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IFileID
Modifier
Constructor
Description
``
`AbstractFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL url, IConnectContext connectContext, Proxy proxy)`
``
`LocalFileSystemBrowser(IFileID directoryID2, IRemoteFileSystemListener listener)`
``
`URLFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`
``
`URLRemoteFile(long lastModified, long fileLength, IFileID fileID)`

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.httpclient4

Fields in org.eclipse.ecf.provider.filetransfer.httpclient4 declared as IFileID
Modifier and Type
Field
Description
`protected IFileID`
HttpClientRetrieveFileTransfer.`fileid`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient4 with parameters of type IFileID
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.DefaultHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.httpclient45

Fields in org.eclipse.ecf.provider.filetransfer.httpclient45 declared as IFileID
Modifier and Type
Field
Description
`protected IFileID`
HttpClientRetrieveFileTransfer.`fileid`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type IFileID
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.httpclient5

Fields in org.eclipse.ecf.provider.filetransfer.httpclient5 declared as IFileID
Modifier and Type
Field
Description
`protected IFileID`
HttpClientRetrieveFileTransfer.`fileid`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type IFileID
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.identity

Classes in org.eclipse.ecf.provider.filetransfer.identity that implement IFileID
Modifier and Type
Class
Description
`class`
`FileTransferID`

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.outgoing

Fields in org.eclipse.ecf.provider.filetransfer.outgoing declared as IFileID
Modifier and Type
Field
Description
`protected IFileID`
AbstractOutgoingFileTransfer.`remoteFileID`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type IFileID
Modifier and Type
Method
Description
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, File localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, File outgoingFile, IFileTransferListener transferListener, Map options)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`

## Uses of IFileID in org.eclipse.ecf.provider.filetransfer.retrieve

Fields in org.eclipse.ecf.provider.filetransfer.retrieve declared as IFileID
Modifier and Type
Field
Description
`protected IFileID`
AbstractRetrieveFileTransfer.`remoteFileID`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type IFileID
Modifier and Type
Method
Description
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID rFileID, IFileRangeSpecification rangeSpec, IFileTransferListener transferListener, Map ops)`
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID remoteFileID1, IFileTransferListener transferListener, Map options1)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileTransferListener transferListener, Map options)`